Subject: RE: ncurses
From: Jerome David <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Andrew Markebo'" <[email-masked]>
Date: Tue, 5 Jun 2001 09:35:48 -0500

gcc -g -O2 -o edb_vt_ed -lncurses edb_vt_ed.o ../src/.libs/libedb.a
-L/usr/local/lib

and

gcc  -g -O2 -L/usr/local/lib -L/usr/local/lib  -L/usr/X11R6/lib -o
enlightenment  actions.o alert.o areas.o arrange.o atoms.o borders.o
buttons.o clone.o cmclass.o comms.o config.o containers.o coords.o cursors.o
desktops.o dialog.o dock.o draw.o events.o evhandlers.o file.o finders.o
focus.o fx.o globals.o gnome.o grabs.o groups.o handlers.o icccm.o iclass.o
iconify.o init.o ipc.o kde.o lists.o main.o memory.o menus.o misc.o
modules.o mwm.o network.o pager.o progress.o regex.o scursor.o session.o
settings.o setup.o size.o slideout.o snaps.o snprintf.o sound.o startup.o
sticky.o stripjoints.o strips.o tclass.o text.o theme.o timers.o tooltips.o
ttfont.o update.o warp.o windowmatch.o x.o zoom.o -lFnlib
-lttf                                        -L/usr/local/lib -lcygipc
-lImlib -ljpeg -ltiff -lpng -lz -lm -L/usr/X11R6/lib -lSM -lICE -lXext -lX11
-lXtst
-lm -lXtst 

-----Original Message-----
From: Andrew Markebo [mailto:[email-masked]]
Sent: Tuesday, June 05, 2001 9:22 AM
To: Jerome David
Subject: Re: ncurses

How did the compilation/link command line look like?

        /A

/ Jerome David <[email-masked]> wrote:
| Hi all,
| I am trying to compile edb-1.0.2 and I am getting the following errors:
| 
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:13: undefined reference to
| `_imp__endwin'
| edb_vt_ed.o: In function `main':
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:23: undefined reference to
| `_imp__initscr'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:24: undefined reference to
| `_imp__stdscr'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:24: undefined reference to
| `_imp__keypad'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:25: undefined reference to
`_imp__nonl'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:26: undefined reference to
| `_imp__cbreak'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:27: undefined reference to
| `_imp__noecho'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:28: undefined reference to
| `_imp__has_colors'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:30: undefined reference to
| `_imp__start_color'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:32: undefined reference to
| `_imp__init_pair'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:33: undefined reference to
| `_imp__init_pair'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:34: undefined reference to
| `_imp__init_pair'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:35: undefined reference to
| `_imp__init_pair'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:36: undefined reference to
| `_imp__init_pair'
| edb_vt_ed.o:/usr/src/edb-1.0.2/tools/edb_vt_ed.c:37: more undefined
| references to `_imp__init_pair' follow
| edb_vt_ed.o: In function `main':
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:45: undefined reference to
| `_imp__stdscr'
| /usr/src/edb-1.0.2/tools/edb_vt_ed.c:45: undefined reference to
| `_imp__wgetch'
| collect2: ld returned 1 exit status
| make[2]: *** [edb_vt_ed] Error 1
| 
| Aren't those functions supposed to be in ncurses ?
| There's a #include<curses.h> in edb_vt_ed.c. Isn't that enough ?
| 
| 
| I have the same kind of things (I think) when compiling enlightenment:
| 
| memory.o: In function `_Emalloc':
| /usr/src/enlightenment-0.16.5/src/memory.c:194: undefined reference to
| `_imp__gettext'
| /usr/src/enlightenment-0.16.5/src/memory.c:194: undefined reference to
| `_imp__gettext'
| /usr/src/enlightenment-0.16.5/src/memory.c:194: undefined reference to
| `_imp__gettext'
| /usr/src/enlightenment-0.16.5/src/memory.c:195: undefined reference to
| `_imp__gettext'
| /usr/src/enlightenment-0.16.5/src/memory.c:196: undefined reference to
| `_imp__gettext'
| memory.o:/usr/src/enlightenment-0.16.5/src/memory.c:208: more undefined
| references to `_imp__gettext' follow
| 
| these functions I think are supposed to be in libintl.
| I have tried adding #include <libintl.h>. All it does is removing the
_imp__
| in the error messages.
| 
| The gcc command line has -L/lib and /lib contains libintl.a libintl.dll.a,
| libcurses.a and
| libcurses.dll.a
| 
| What's wrong ??
| 
| J-D
| 
| --
| Want to unsubscribe from this list?
| Check out: http://cygwin.com/ml/#unsubscribe-simple

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple